import {
  IonList,
  IonItem,
  IonLabel,
  IonImg,
  IonSearchbar,
  IonContent,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
  IonFooter,
  IonGrid,
  IonRow,
  IonCol,
  IonButtons,
  IonBackButton
} from '@ionic/react';
import './ListCapsules.css';
import EnciclopediaPR from '../assets/EnciclopediaPR.png';

const ListCapsules: React.FC = () => {
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar className="Header-Color">
          <IonGrid fixed={true}>
            <IonRow>
              <IonCol></IonCol>
              <IonCol>
                <IonImg style={{ height: 50, width: 100 }} src={EnciclopediaPR} alt='Logo'></IonImg>
                <IonTitle>Lista de Cápsulas de Contenido</IonTitle>
              </IonCol>
              <IonCol></IonCol>
            </IonRow>
          </IonGrid>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonSearchbar></IonSearchbar>
        <IonList inset={true}>
          <IonItem routerLink={`/Capsule`} detail={true}>
            <IonLabel>Breve Historia del baile en Puerto Rico</IonLabel>
          </IonItem>
          <IonItem>
            <IonLabel>Cápsula#2</IonLabel>
          </IonItem>
          <IonItem>
            <IonLabel>Cápsula#3</IonLabel>
          </IonItem>
        </IonList>
      </IonContent>
      <IonFooter>
        <IonToolbar className="Footer-Color">
          <div className='Item-Center'>
            <IonButtons slot="start">
              <IonBackButton defaultHref="/home"></IonBackButton>
            </IonButtons>
          </div>
        </IonToolbar>
      </IonFooter>
    </IonPage>
  );
};

export default ListCapsules;
